Skip to content

PublishDraft

POST
/api/v1/t/{tenant}/workflows/definitions/{definitionId}/draft/publish
curl --request POST \
--url https://example.com/api/v1/t/example/workflows/definitions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/draft/publish \
--header 'Content-Type: application/json' \
--data '{ "draftVersion": 1, "definitionVersion": 1, "pauseDefinitionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "outboundVersions": "example", "signers": [ { "stepName": "example", "position": 1, "source": "Member", "label": "example", "level": "Ses", "fieldMode": "TypeTemplate", "allowConfidential": true, "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstNameField": "example", "lastNameField": "example", "emailField": "example", "mobileField": "example" } ] }'
tenant
required
string

Tenant slug

definitionId
required
string format: uuid
Media typeapplication/json
object
draftVersion
required
integer format: uint32
definitionVersion
required
integer format: uint32
pauseDefinitionId
required
null | string format: uuid
outboundVersions
null | object
signers
Array<object> | null
object
stepName
required
string
position
required
integer format: int32
source
required
Allowed values: Member Requester External
label
required
string
level
required
Allowed values: Ses Aes Qes
fieldMode
required
Allowed values: TypeTemplate Detect ReviewBeforeSend
allowConfidential
required
boolean
userId
null | string format: uuid
firstNameField
null | string
lastNameField
null | string
emailField
null | string
mobileField
null | string

OK

Media typeapplication/json
object
definitionId
required
string format: uuid
versionNumber
required
integer format: int32
Examplegenerated
{
"definitionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"versionNumber": 1
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Conflict

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Service Unavailable

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}